<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
HasRights Method (IEdmFolder5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : HasRights Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

lRights
  Combination of EdmRightFlags bits

plFileID
  ID of file to check

Obsolete. Superseded by IEdmFolder5::HasRightsEx.

# Syntax

Visual Basic |
--- | ---

    Sub HasRights( _
       ByVal lRights As System.Integer, _
       ByRef plFileID As System.Integer _
    )

C# |
--- | ---

    void HasRights(
       System.int lRights,
       ref System.int plFileID
    )

C++/CLI |
--- | ---

    void HasRights(
    &   System.int lRights,
    &   System.int% plFileID
    )

#### Parameters

lRights
  Combination of EdmRightFlags bits
plFileID
  ID of file to check

# Remarks

This method is superseded by IEdmFolder5::HasRightsEx, which provides the ability to check rights on just this folder. Programs that do not need backwards compatibility with SOLIDWORKS PDM Professional 5.2 should use the new method.

This method takes into account both the rights set explicitly on the user and those rights that are inherited from groups of which the user is a member.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The user lacks one or more of the specified rights.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2